Math = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0")

function Math:OnInitialize()
	self:RegisterChatCommand({'/math'}, function(...) self:ProcessMath(...) end)
end


function Math:ProcessMath(a)
	if not string.find(a,"^[()*/+-0123456789 ]+$") then return end
	local _,_,first = string.find(a,"^([*/+-])")

	if first then
		a = Math.previous .. ' ' .. a
	end

	RunScript('Math:Print("'.. a .. ': " .. ' .. a .. ')')
	RunScript('Math.previous = ' .. a)
end